## jnoise 0.6.0

=== source/Makefile ===
# ---------------------------------------------------------------------------
#
#  Copyright (C) 2003-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ---------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share
PROGRAM = jnoise
VERSION = 0.6.0
CPPFLAGS += -O3 -ffast-math -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
#CPPFLAGS += -march=native


all:	jnoise


JNOISE_O = jnoise.o rngen.o

jnoise:	CPPFLAGS += -ffast-math
jnoise:	LDLIBS += -ljack -lrt
jnoise:	$(JNOISE_O)
	g++ $(LDFLAGS) -o $@ $(JNOISE_O) $(LDLIBS)

$(JNOISE_O):
-include $(JNOISE_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 jnoise $(DESTDIR)$(PREFIX)/bin

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jnoise
