=== debian/changelog ===
jnoise (0.6.0-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 22:16:46 +0200

jnoise (0.6.0-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0.
    + Use HTTPS in the Format field of d/copyright.
  * Fix cross build failure.
    + Drop implicitly satisfied build dependency on binutils.
    + Make g++ substitutable in source/Makefile.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 30 Aug 2017 23:19:27 +0200

jnoise (0.6.0-5) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Tune .gitignore file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 21:35:30 +0100

jnoise (0.6.0-4) unstable; urgency=low

  * Set dh/compat 9
  * Bump Standards.
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Don't sign tags.
  * Fix upstream contact in man page.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 15:45:24 +0200

jnoise (0.6.0-3) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Homepage was moved to a new URL.
    - Bump Standards.
    - Remove myself from the Uploaders field.
  * debian/watch:
    - Update to scan new downloads location.
    - Remove example lines.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Apr 2011 13:23:03 +0200

jnoise (0.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add myself as uploader.
  * Relax build-deps on JACK to let this build on Debian sid.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Feb 2011 15:39:06 +0100

jnoise (0.6.0-1) experimental; urgency=low

  * Team upload.

  [ Jaromír Mikeš ]
  * Added DM-Upload-Allowed: yes

  [ Alessio Treglia ]
  * New upstream release.
  * Add gbp config file.
  * Switch to debian source 3.0 (quilt) format.
  * Switch to debhelper 7.
  * README is already installed as upstream's changelog, drop it from
    debian/docs.
  * debian/control:
    - Bump Standards.
    - Adopt single-space wrapping style.
    - Correct team's name.
    - Tune build-dependencies in order to build against the most recent
      JACK shlibs available in experimental, which provide the session
      support.
  * Refresh patches and add DEP-3 headers.

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Jan 2011 18:09:10 +0100

jnoise (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #519863)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 Oct 2009 01:08:10 +0200
