=== debian/control ===
Source: jnoise
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 libjack-dev | libjack-jackd2-dev
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/multimedia-team/jnoise.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jnoise
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html

Package: jnoise
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: white and pink noise generator
 Jnoise is a small command line JACK app
 generating both white and pink noise.
 Both noise sources produce have a Gaussion
 amplitude distribution, and output a signal
 at -20dB RMS ref. a full scale sine wave.
