=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LDLIBS += -Wl,--as-needed

%:
	dh $@ -Smakefile --sourcedirectory=source

override_dh_installchangelogs:
	dh_installchangelogs README
